Bug 516921 - RFE: Please update ario to the latest version
Summary: RFE: Please update ario to the latest version
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ario
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: John F
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 591517 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-11 21:47 UTC by Sebastian Vahl
Modified: 2011-05-19 22:02 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-05-19 22:00:34 UTC


Attachments (Terms of Use)
Patch agains ario.spec for 1.1-8 (1.75 KB, patch)
2009-08-26 23:40 UTC, Sebastian Vahl
no flags Details | Diff
Patch for ario SPECfile based on Sebastians 1.3-1 version (871 bytes, patch)
2010-03-27 11:42 UTC, Mirco Tischler
no flags Details | Diff
changes needed for version 1.5 (1.63 KB, patch)
2011-03-26 06:09 UTC, John F
no flags Details | Diff

Description Sebastian Vahl 2009-08-11 21:47:12 UTC
Description of problem:
The version of ario in Fedora is quite old. The newest version 1.3 is available since the middle of may.


Version-Release number of selected component (if applicable):
ario-1.1

Comment 1 John F 2009-08-15 04:30:14 UTC
I didn't know that a new version had been released.  I won't be able to get to this for a little while if anyone else would like to do it.

Comment 2 Sebastian Vahl 2009-08-18 21:28:10 UTC
I could do it for you when F12alpha is released. But you have to grant me permissions in the  build system to do so.

Comment 3 Sebastian Vahl 2009-08-26 23:40:12 UTC
Created attachment 358790 [details]
Patch agains ario.spec for 1.1-8

I've attached an updated specfile for ario-1.3. You can find a scratch build for rawhide here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1636903

If you want me to take care of the update please say so. I'll request the permission in fas then.

BTW: I've also renewed the summary (rpmlint warning) to this:
Summary:        A client for MPD inspired by Rhythmbox

Please say so If you don't want this.

Comment 4 Mirco Tischler 2010-03-27 11:42:34 UTC
Created attachment 403001 [details]
Patch for ario SPECfile based on Sebastians 1.3-1 version

ping...

Ario upstream is now at version 1.4.4. Rawhide still at 1.1

I attached a patch to update the SPEC-file based on Sebastian's 1.3-1 SPEC-file

Comment 5 John F 2010-03-29 04:06:17 UTC
> Please say so If you don't want this.    

It isn't that I don't want to do this, I just don't have any time to look at this.  I am not 100% sure how to transfer ownership of the package.

Comment 6 Sebastian Vahl 2010-05-03 19:40:51 UTC
I've requested committing rights for this package in pkgdb. Please approve me and I'll try to update the package (when the sources are online again, they seem to be offline).

If you want to drop ownership of this package, please write a mail to devel@lists.fedoraproject.org that you want to orphan the package.

Comment 7 Sebastian Vahl 2010-05-12 14:01:27 UTC
*** Bug 591517 has been marked as a duplicate of this bug. ***

Comment 8 Michael Monreal 2010-05-26 13:44:01 UTC
Any news on progress? At least the sources are up again:

https://sourceforge.net/projects/ario-player/files/ario-player/1.4.4/ario-1.4.4.tar.gz/download

Comment 9 Sebastian Vahl 2010-05-27 07:09:24 UTC
It seems it was a temporary problem with Sourceforge, but I'm still waiting for getting approved for the package from John: https://admin.fedoraproject.org/pkgdb/acls/name/ario?_csrf_token=026826dca047ccd79efa5a4088ca074d63e9f19c

Comment 10 Mirco Tischler 2011-02-09 02:18:17 UTC
Another 8 months and nothing happened. Upstream is at 1.5 now. John, can you please add commit rights for Sebastian? Or simply orphan the package (https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers)?
Thanks

Comment 11 John F 2011-02-09 04:14:51 UTC
sorry this took so long.  I have been really busy with work and couldn't figure out how to reset my FAS until recently.  If I had been able to log into FAS when this request was made, I would have done so :)

I have approved your request Sebastian I believe, but please let me know if there is something else needed.

Comment 12 John F 2011-03-26 06:09:11 UTC
Created attachment 487716 [details]
changes needed for version 1.5

this patch supports ario 1.5 on f14.  It doesn't compile on f15 or f16 though, so i don't think i can push it to master.

Comment 13 Fedora Update System 2011-03-26 07:40:47 UTC
ario-1.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ario-1.5-1.fc15

Comment 14 Fedora Update System 2011-03-26 08:05:47 UTC
ario-1.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ario-1.5-1.fc14

Comment 15 John F 2011-03-26 17:41:28 UTC
(In reply to comment #12)
> Created attachment 487716 [details]
> changes needed for version 1.5
> 
> this patch supports ario 1.5 on f14.  It doesn't compile on f15 or f16 though,
> so i don't think i can push it to master.

small patch to change how it interfaces with libnotify to remove the gtkwidget param

Comment 16 Fedora Update System 2011-03-26 21:24:06 UTC
Package ario-1.5-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ario-1.5-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ario-1.5-1.fc14
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2011-05-19 22:00:27 UTC
ario-1.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2011-05-19 22:02:13 UTC
ario-1.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.